Package org.eclipse.m2m.atl.core.ui.vm.debug

# Class LocalObjectReference.ADWPStackFrame

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.StackFrame
org.eclipse.m2m.atl.core.ui.vm.debug.LocalObjectReference.ADWPStackFrame

Enclosing class:
  `LocalObjectReference`

protected class LocalObjectReference.ADWPStackFrame extends StackFrame
A `StackFrame` for the debugging protocol, which doesn't interfere with the debugging process.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame

`debugger, myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ADWPStackFrame(Operation op, List<ASMOclAny> args)`
Creates a new `LocalObjectReference.ADWPStackFrame`.

## Method Summary

Modifier and Type
Method
Description
`void`
`printStackTrace(String msg, Exception e)`
An error during a debugger request should not trigger the debugger.

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame

`enterFrame, getArgs, getExecEnv, getModel, getModels, getOperation, getOpName, getParent, getStack, leaveFrame, printStackTrace, printStackTrace, printStackTrace, setParent`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ADWPStackFrame

public ADWPStackFrame(Operation op, List<ASMOclAny> args)
Creates a new `LocalObjectReference.ADWPStackFrame`.

Parameters:
  `op` - the operation
  `args` - the frame arguments

## Method Details

### printStackTrace

public void printStackTrace(String msg, Exception e)
An error during a debugger request should not trigger the debugger.

Overrides:
  `printStackTrace` in class `StackFrame`
See Also:
  - `StackFrame.printStackTrace(java.lang.String, java.lang.Exception)`